Bug 60929 - Feature request: Support for V8 Engine as a scripting language for JSR223 Sampler
Summary: Feature request: Support for V8 Engine as a scripting language for JSR223 Sam...
Status: NEW
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 3.1
Hardware: PC Linux
: P2 enhancement (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-28 19:44 UTC by shawn.inder
Modified: 2017-04-19 20:38 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shawn.inder 2017-03-28 19:44:52 UTC
The ability to use scripts is really useful, so it seems a shame that support for javascript is limited to one very old version of the language. In particular, being able to require other javascript files would be a huge win for re-usability.

Any chance of seeing support for Node.js some time soon?
Comment 1 Philippe Mouawad 2017-04-19 20:21:20 UTC
Hello,
I suppose you would like us to support 
https://developers.google.com/v8/

Combined with something like:
https://github.com/eclipsesource/J2V8
Comment 2 shawn.inder 2017-04-19 20:38:20 UTC
(In reply to Philippe Mouawad from comment #1)
> Hello,
> I suppose you would like us to support 
> https://developers.google.com/v8/
> 
> Combined with something like:
> https://github.com/eclipsesource/J2V8

Yes, that sounds exactly right!